var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { useEffect, useMemo, useState } from 'react';
var DEFAULT_OPTIONS = {
    refreshIntervalMs: 1000,
};
export var useRefValue = function (targetRef, options) {
    var _a = useState(null), value = _a[0], setValue = _a[1];
    var _options = useMemo(function () { return (__assign(__assign({}, DEFAULT_OPTIONS), options)); }, [options]);
    useEffect(function () {
        var intervalId = setInterval(function () {
            var target = targetRef.current;
            setValue(function (prev) { return (prev === target ? prev : target); });
        }, _options.refreshIntervalMs);
        return function () { return clearInterval(intervalId); };
    }, [_options, targetRef]);
    return value;
};
