import throttle from 'just-throttle';
import { useEffect, useMemo, useState } from 'react';
export var useWindowSize = function (options) {
    if (options === void 0) { options = {}; }
    var _a = useState({
        width: typeof window !== 'undefined' ? window.innerWidth : Infinity,
        height: typeof window !== 'undefined' ? window.innerHeight : Infinity,
    }), state = _a[0], setState = _a[1];
    var resizeEffect = useMemo(function () {
        return throttle(function () {
            setState({
                width: window.innerWidth,
                height: window.innerHeight,
            });
        }, options.waitingMs || 0);
    }, [options.waitingMs]);
    useEffect(function () {
        window.addEventListener('scroll', resizeEffect, options);
        return function () {
            window.removeEventListener('scroll', resizeEffect);
        };
    }, [options, resizeEffect]);
    return state;
};
