declare type Options = {
    waitingMs?: number;
    capture?: boolean;
    once?: boolean;
    passive?: boolean;
    signal?: AbortSignal;
};
/**
 * Custom Hook that calls a callback function each time a scroll event occurs
 * @param effect callback function
 * @param options.waitingMs Waiting time after function execution
 * @see https://developer.mozilla.org/en-US/docs/Web/API/EventTarget/addEventListener#parameters
 */
export declare const useWindowScrollEffect: (effect: (scrollY?: number) => void, options?: Options) => void;
export {};
